using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 三级安全教育卡培训内容
    /// </summary>
    [Description("三级安全教育卡培训内容")]
    public class T_SE_THREE_LEVEL_SAFE_CONTENT : MesEntityBase
    {

        /// <summary>
        /// 培训内容
        /// </summary>
        [Description("培训内容")]
        [DataFieldLength(500)]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldIndex(true)]
        public string NAME { get; set; }

        /// <summary>
        /// 培训组织部门类型
        /// </summary>
        [Description("培训组织部门类型")]
        [EnumName("SEThreeLevelSafeTrainType")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public SEThreeLevelSafeTrainType THREE_LEVEL_SAFE_TRAIN_TYPE { get; set; }
    }
}
